--[[
	MrtWoo_Core: MrtWoo Core Module
	Copyright (C) 2010 Pavel Dudkovsky (mrtime@era.by)
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
]]

MrtWoo = LibStub("AceAddon-3.0"):NewAddon("MrtWoo", "AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("MrtWoo", true);

MrtWoo.options = {
	name = "MrtWoo",
	handler = MrtWoo,
	type = 'group',
	plugins = {},	
	args = {
	}
};

MrtWoo.defaults = {
	profile = {
		modules = {}
	}
}

function MrtWoo:OnInitialize()
	MrtWoo:Print(string.format(L["Hello from %s!"], "MrtWoo"));
	MrtWoo:RegisterChatCommand("mrtwoo", "MrtWooCommandProcessor");	
	
	-- DB
	self.db = LibStub("AceDB-3.0"):New("MrtWooDB", self.defaults, "Default")
	LibStub("AceConfig-3.0"):RegisterOptionsTable("MrtWoo", self.options)
	self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("MrtWoo", "MrtWoo")

	-- Profiles
	LibStub("AceConfig-3.0"):RegisterOptionsTable("MrtWoo-Profiles", LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db))
	self.profilesFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("MrtWoo-Profiles", L["Profiles"], "MrtWoo")
	
	self.MyName = MrtWoo:GetUnitName('player', false);
end;

function MrtWoo:MrtWooCommandProcessor(input)
	InterfaceOptionsFrame_OpenToCategory("MrtWoo");
end;

function MrtWoo:GetUnitName(unit, showServerName)
	local name, server = UnitName(unit);
	if ( server and server ~= "" ) then
		if ( showServerName ) then
			return name.." - "..server;
		else
			return name..FOREIGN_SERVER_LABEL;
		end
	else
		return name;
	end
end